classification
Title: Patches for Tools/msi
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: loewis Nosy List: BreamoreBoy, illume, loewis, steve.dower, teoliphant, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2008-03-18 16:45 by teoliphant, last changed 2014-09-30 13:38 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
msilib_patch.diff teoliphant, 2008-03-18 16:45 Patch to Tools/msilib.py
msi.patch teoliphant, 2008-03-18 16:46 Patch to Tools/msi.py
Messages (5)
msg63940 - (view) Author: Travis Oliphant (teoliphant) * (Python committer) Date: 2008-03-18 16:45
The attached patches add the following features to MSI building:
 * allow splitting into multiple CABs
 * prevent problem when data-base commits grow beyond a certain number
 * fix to handle all file names
 * change the way unique keys are created in the File and Directory
tables by adding a globally-incrementing number to the file name (unless
it is a keyfile.  This prevents the repeated searching of a large set
(important when you are packaing 47k files...)
 * fix so that the file id that goes into the HashFileTable is never
larger than 72 characters.
msg95119 - (view) Author: Rene Dudfield (illume) Date: 2009-11-10 16:25
Adding distutils to components for this old msi patch.

These seem like useful things for those making msi packages with distutils.
msg95131 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-11-10 20:50
Strictly speaking, they apply to Tools/msi only (IIUC). So adjusting
them to msilib is likely extra work.
msg227862 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-29 23:28
Has this issue been overtaken by events?
msg227864 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-09-29 23:31
I think they've all been fixed anyway, but yeah, they're not going to be relevant with my new installer.
History
Date User Action Args
2014-09-30 13:38:44berker.peksagsetstage: needs patch -> resolved
2014-09-30 04:42:32benjamin.petersonsetstatus: open -> closed
resolution: out of date
2014-09-29 23:31:14steve.dowersetmessages: + msg227864
2014-09-29 23:28:32BreamoreBoysetnosy: + BreamoreBoy, zach.ware, tim.golden, steve.dower

messages: + msg227862
versions: + Python 3.5, - Python 3.2
2013-03-24 12:20:38r.david.murraylinkissue8552 superseder
2010-11-26 04:47:38eric.araujosetversions: + Python 3.2, - Python 2.6
type: behavior -> enhancement
components: + Demos and Tools, - Distutils, Windows
stage: needs patch
2009-11-10 20:50:59loewissetmessages: + msg95131
2009-11-10 16:25:23illumesetnosy: + illume
messages: + msg95119
components: + Distutils
2008-03-21 18:28:37christian.heimessetpriority: normal
assignee: loewis
2008-03-18 16:50:06teoliphantsetnosy: + loewis
2008-03-18 16:46:27teoliphantsetfiles: + msi.patch
2008-03-18 16:45:37teoliphantcreate